
Redmine - Defect #4009

"html" tag's xml:lang always "en" for all languages

2009-10-09 13:13 - Thomas Schneider

Status: Closed Start date: 2009-10-09

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Changing the user's interface language does not affect the xml:lang attribute value of the "html" tag.

Redmine tells the browser that the content is always English, although it's actually not. This way, services such as spell checking, tts,

etc can't function correctly for languages other than English.

Redmine should set the xml:lang attribute according to the current user's language setting.

Related issues:

Is duplicate of Redmine - Defect #14206: Synchronize the lang attribute of th... Closed

History

#1 - 2009-10-25 13:51 - Jean-Philippe Lang

- Priority changed from Normal to Low

#2 - 2011-03-23 11:11 - Toshi MARUYAMA

- Category set to I18n

#3 - 2012-06-14 23:15 - luigifab !

Problem still present in redmine 1.4.3, so I can't determine page language with JavaScript.

Is there another way to find page language?

In app/views/layouts/base.html.erb, just replace line 2 by <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<%= Setting.default_language

%>">.

#4 - 2013-06-11 01:26 - Filou Centrinov

- Is duplicate of Defect #14206: Synchronize the lang attribute of the HTML with the display language  added

#5 - 2013-06-11 01:27 - Filou Centrinov

- Status changed from New to Closed

- Resolution set to Duplicate
